Bug 2774 - sparse file attribute not set when storing dos attributes
sparse file attribute not set when storing dos attributes
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.20
All All
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-06 23:24 UTC by James Peach (outdated mail address)
Modified: 2006-04-08 07:43 UTC (History)
0 users

See Also:


Attachments
set FILE_ATTRIBUTE_SPARSE (1.17 KB, patch)
2005-06-06 23:25 UTC, James Peach (outdated mail address)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description James Peach (outdated mail address) 2005-06-06 23:24:12 UTC
In dosmode.c:dosmode(), if get_ea_dos_attribute() succeeds, we never set
FILE_ATTRIBUTE_SPARSE in the result. I doubt clients really notice this, but
it's on my bug list and I have a patch ..
Comment 1 James Peach (outdated mail address) 2005-06-06 23:25:26 UTC
Created attachment 1262 [details]
set FILE_ATTRIBUTE_SPARSE

This patch always tries to set FILE_ATTRIBUTE_SPARSE, irrespective of whether
lp_store_dos_attributes is on or not.
Comment 2 Jeremy Allison 2005-06-09 17:31:58 UTC
Applied, thanks.
Jeremy.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:19:58 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 4 Gerald (Jerry) Carter 2006-04-08 07:43:47 UTC
Cleaning up versions.  There was no 3.0.15 so leaving it in bugzilla 
is causing some confusion.  Moving these nuder 3.0.20.
Originally files against 3.0.15preX.